﻿@page "/register"
@inject ILogger<Login> Logger
@inject NavigationManager NavigationManager
@inject LoginService loginService
@inject AuthenticationStateProvider authStateProvider


<EditForm Model="@registerModel" OnValidSubmit="HandleRegister">
    <h1>Register</h1>

    <!-- Username -->
    <div class="form-group">
        <label for="username">Username</label>
        <InputText id="username" placeholder="Username" class="form-control" @bind-Value="registerModel.Username" />
    </div>

    <!-- Email -->
    <div class="form-group">
        <label for="email">Email</label>
        <InputText id="email" class="form-control" placeholder="Email" @bind-Value="registerModel.Email" type="email" />
    </div>

    <!-- Password -->
    <div class="form-group">
        <label for="password">Password</label>
        <InputText id="password" class="form-control" placeholder="Password" @bind-Value="registerModel.Password" type="password" />
    </div>

    <!-- Confirm Password -->
    <div class="form-group">
        <label for="password_c">Confirm password</label>
        <InputText id="password_c" class="form-control" placeholder="Confirm password" @bind-Value="registerModel.Password_c" type="password" />
    </div>

    <span class="text-danger">@erreur</span>

    <div class="form-group pt-5">
        <button type="submit" class="btn btn-primary">Register</button>
    </div>
</EditForm>

@code {
    private RegisterModel registerModel = new RegisterModel();
    private string erreur = "";
    private async void HandleRegister()
    {

        var res = loginService.RegisterUser(registerModel.Username, registerModel.Password, registerModel.Email);
        if (res != null)
        {
            NavigationManager.NavigateTo("/login");


        }
        else
        {
            System.Console.WriteLine("Invalid username or password");
        }
    }

    private class RegisterModel
    {
        public string Username { get; set; } = "";
        public string Password { get; set; } = "";
        public string Password_c { get; set; } = "";
        public string Email { get; set; } = "";
    }
}
